This document lists the events and parameters for
Organization Settings
Admin Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=admin`.

## Organization Settings


Events of this type are returned with `type=ORG_SETTINGS`.

### App License Policy Changed

Licenses enabled or not at an org unit event name.
Event details Event name `CHROME_LICENSES_ENABLED` Parameters `APPLICATION_NAME` `string`


The application's name.
`CHROME_LICENSES_ENABLED` `string`


Licenses enabled.
Possible values:

- `DISABLED`  
  Not allowed to perform action.
- `ENABLED`  
  Allowed to perform action.
- `INHERITED`  
  Value is inherited.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_LICENSES_ENABLED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `App license policy for {APPLICATION_NAME} at org unit {ORG_UNIT_NAME} is now {CHROME_LICENSES_ENABLED}`

### App License Reservation Created

License reservation at an org unit is created.
Event details Event name `CHROME_APPLICATION_LICENSE_RESERVATION_CREATED` Parameters `APPLICATION_NAME` `string`


The application's name.
`NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SKU_NAME` `string`


The SKU name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_APPLICATION_LICENSE_RESERVATION_CREATED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{NEW_VALUE} app licenses reserved to {ORG_UNIT_NAME} for {APPLICATION_NAME} {SKU_NAME}`

### App License Reservation Deleted

License reservation at an org unit is deleted.
Event details Event name `CHROME_APPLICATION_LICENSE_RESERVATION_DELETED` Parameters `APPLICATION_NAME` `string`


The application's name.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SKU_NAME` `string`


The SKU name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_APPLICATION_LICENSE_RESERVATION_DELETED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `App license reservation at {ORG_UNIT_NAME} for {APPLICATION_NAME} {SKU_NAME} deleted`

### App License Reservation Updated

License reservation at an org unit is updated.
Event details Event name `CHROME_APPLICATION_LICENSE_RESERVATION_UPDATED` Parameters `APPLICATION_NAME` `string`


The application's name.
`NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SKU_NAME` `string`


The SKU name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_APPLICATION_LICENSE_RESERVATION_UPDATED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `App license reservation at {ORG_UNIT_NAME} for {APPLICATION_NAME} {SKU_NAME} updated from {OLD_VALUE} to {NEW_VALUE} licenses`

### Create enrollment token

Event for 'Create enrollment token'.
Event details Event name `CREATE_DEVICE_ENROLLMENT_TOKEN` Parameters `FULL_ORG_UNIT_PATH` `string`


The org unit path including the root org unit name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_DEVICE_ENROLLMENT_TOKEN&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Generated a new enrollment token for {FULL_ORG_UNIT_PATH}`

### Custom Logo Assign

Event details Event name `ASSIGN_CUSTOM_LOGO` Parameters `ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=ASSIGN_CUSTOM_LOGO&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `New custom logo assigned for org unit {ORG_UNIT_NAME}`

### Custom Logo Unassign

Event details Event name `UNASSIGN_CUSTOM_LOGO` Parameters `ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UNASSIGN_CUSTOM_LOGO&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Custom logo unassigned for org unit {ORG_UNIT_NAME}`

### Enrollment Token Creation

Event details Event name `CREATE_ENROLLMENT_TOKEN` Parameters `ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_ENROLLMENT_TOKEN&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A new enrollment token is generated for {ORG_UNIT_NAME}`

### Enrollment Token Revocation

Event details Event name `REVOKE_ENROLLMENT_TOKEN` Parameters `ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=REVOKE_ENROLLMENT_TOKEN&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `The enrollment token of {ORG_UNIT_NAME} has been revoked`

### Licenses allowed or not at an org unit

Licenses allowed or not at an org unit event name.
Event details Event name `CHROME_LICENSES_ALLOWED` Parameters `APPLICATION_NAME` `string`


The application's name.
`CHROME_LICENSES_ALLOWED` `string`


Licenses allowed.
Possible values:

- `ALLOWED`  
  Allowed to perform action.
- `EMPTY`  
  No value specified.
- `UNALLOWED`  
  Not allowed to perform action.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_LICENSES_ALLOWED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Licenses allowed policy is {CHROME_LICENSES_ALLOWED} for app {APPLICATION_NAME} at org unit {ORG_UNIT_NAME}`

### OrgUnit Creation

Event details Event name `CREATE_ORG_UNIT` Parameters `ORG_UNIT_NAME` `string`


The new org unit's name. For more information about creating an organizational unit and an organization hierarchy, see the [administration help center](http://www.google.com/support/a/bin/answer.py?&answer=182433).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CREATE_ORG_UNIT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Org Unit {ORG_UNIT_NAME} created`

### OrgUnit Deletion

Event details Event name `REMOVE_ORG_UNIT` Parameters `ORG_UNIT_NAME` `string`


The name of the org unit that was removed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=REMOVE_ORG_UNIT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Org Unit {ORG_UNIT_NAME} deleted`

### OrgUnit Description Change

Event details Event name `EDIT_ORG_UNIT_DESCRIPTION` Parameters `ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=EDIT_ORG_UNIT_DESCRIPTION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Description of {ORG_UNIT_NAME} changed`

### OrgUnit Move

Event details Event name `MOVE_ORG_UNIT` Parameters `NEW_VALUE` `string`


The new parent org unit name.
`ORG_UNIT_NAME` `string`


The name of the org unit that moved.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=MOVE_ORG_UNIT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{ORG_UNIT_NAME} moved to parent {NEW_VALUE}`

### OrgUnit Name Change

Event details Event name `EDIT_ORG_UNIT_NAME` Parameters `NEW_VALUE` `string`


The new org unit name.
`ORG_UNIT_NAME` `string`


The org unit whose name changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=EDIT_ORG_UNIT_NAME&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Name of {ORG_UNIT_NAME} changed to {NEW_VALUE}`

### Revoke enrollment token

Event for 'Revoke enrollment token'.
Event details Event name `REVOKE_DEVICE_ENROLLMENT_TOKEN` Parameters `FULL_ORG_UNIT_PATH` `string`


The org unit path including the root org unit name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=REVOKE_DEVICE_ENROLLMENT_TOKEN&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Revoked the enrollment token of {FULL_ORG_UNIT_PATH}`

### Service Change

Event details Event name `TOGGLE_SERVICE_ENABLED` Parameters `DOMAIN_NAME` `string`


The primary domain name.
`GROUP_EMAIL` `string`


The group's primary email address.
`NEW_VALUE` `string`


The new value, which can be `true` or `false`.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SERVICE_NAME` `string`


The enabled or disabled service name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=TOGGLE_SERVICE_ENABLED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Service {SERVICE_NAME} changed to {NEW_VALUE} for {ORG_UNIT_NAME} organizational unit in your organization`